"use strict";
/******************************************************************************
 * Copyright 2022-2023 TypeFox GmbH
 * This program and the accompanying materials are made available under the
 * terms of the MIT License, which is available in the project root.
 ******************************************************************************/
Object.defineProperty(exports, "__esModule", { value: true });
exports.MySqlDialectTypes = void 0;
const sql_data_types_1 = require("../../sql-data-types");
const data_types_1 = require("../sql/data-types");
exports.MySqlDialectTypes = (0, sql_data_types_1.typesExtend)(data_types_1.SqlDialectTypes, {
    strings: [
        'CHAR(size?)',
        'VARCHAR(size)',
        'TINYTEXT',
        'TEXT(size)',
        'MEDIUMTEXT',
        'LONGTEXT'
    ],
    integers: [
        'BIT(size)',
        'TINYINT(size)',
        'SMALLINT(size)',
        'MEDIUMINT(size)',
        'INT(size)',
        'INTEGER(size)',
        'BIGINT(size)'
    ],
    reals: [
        'DECIMAL(size?, size?)'
    ],
    dateTimes: [
        'DATE',
        'DATETIME(size?)',
        'TIMESTAMP(size?)',
        'TIME(size?)',
        'YEAR'
    ],
    booleans: [],
    blobs: [
        'BINARY(size)',
        'VARBINARY(size)',
        'TINYBLOB',
        'BLOB(size)',
        'MEDIUMBLOB',
        'LONGBLOB'
    ],
    enums: []
});
//# sourceMappingURL=data-types.js.map