/******************************************************************************
 * Copyright 2022-2023 TypeFox GmbH
 * This program and the accompanying materials are made available under the
 * terms of the MIT License, which is available in the project root.
 ******************************************************************************/
import { AstNode, CompletionAcceptor, CompletionContext, DefaultCompletionProvider, LangiumDocument, MaybePromise, NextFeature } from "langium";
import { AbstractElement } from "langium/lib/grammar/generated/ast";
import { DataTypeDefinition } from "./sql-data-types";
import { SqlServices } from "./sql-module";
import { CompletionList, CompletionParams } from 'vscode-languageserver';
export declare class SqlCompletionProvider extends DefaultCompletionProvider {
    protected dataTypes: DataTypeDefinition[];
    constructor(services: SqlServices);
    getCompletion(document: LangiumDocument<AstNode>, params: CompletionParams): Promise<CompletionList | undefined>;
    protected completionFor(context: CompletionContext, next: NextFeature<AbstractElement>, acceptor: CompletionAcceptor): MaybePromise<void>;
    private completeWithDataTypes;
}
