/******************************************************************************
 * Copyright 2022-2023 TypeFox GmbH
 * This program and the accompanying materials are made available under the
 * terms of the MIT License, which is available in the project root.
 ******************************************************************************/
import { LangiumDocuments, MultiMap } from "langium";
import { CancellationToken } from "vscode-languageserver";
import { Definition, FunctionDefinition, ReferenceDefinition, SchemaDefinition, SqlFile, TableDefinition } from "./generated/ast";
import { SqlSharedServices } from "./sql-module";
export declare class SqlContainerManager {
    protected readonly children: MultiMap<Definition, Definition>;
    protected readonly langiumDocuments: LangiumDocuments;
    constructor(services: SqlSharedServices);
    getChildren(definition: Definition): readonly Definition[];
    putChild(definition: Definition, child: Definition): void;
    protected rebuild(cancelToken: CancellationToken): Promise<void>;
    protected collectElements(elements: ReferenceDefinition[], cancelToken: CancellationToken): Promise<void>;
    protected collectDocument(file: SqlFile, sink: SqlContainerSink, cancelToken: CancellationToken): Promise<void>;
}
export interface SqlContainerSink {
    schemas: SchemaDefinition[];
    tables: TableDefinition[];
    functions: FunctionDefinition[];
}
