"use strict";
/******************************************************************************
 * Copyright 2022-2023 TypeFox GmbH
 * This program and the accompanying materials are made available under the
 * terms of the MIT License, which is available in the project root.
 ******************************************************************************/
Object.defineProperty(exports, "__esModule", { value: true });
exports.SqlNameProvider = void 0;
const langium_1 = require("langium");
const ast_1 = require("./generated/ast");
class SqlNameProvider extends langium_1.DefaultNameProvider {
    getName(node) {
        if ((0, ast_1.isSchemaDefinition)(node) || (0, ast_1.isTableDefinition)(node) || (0, ast_1.isFunctionDefinition)(node)) {
            return this.getDefinitionName(node.reference);
        }
        else {
            return super.getName(node);
        }
    }
    getNameNode(node) {
        if ((0, ast_1.isSchemaDefinition)(node) || (0, ast_1.isTableDefinition)(node) || (0, ast_1.isFunctionDefinition)(node)) {
            return this.getDefinitionNode(node.reference);
        }
        else {
            return super.getNameNode(node);
        }
    }
    getDefinitionName(reference) {
        var _a;
        return ((_a = reference === null || reference === void 0 ? void 0 : reference.element) === null || _a === void 0 ? void 0 : _a.$refText) || undefined;
    }
    getDefinitionNode(reference) {
        var _a;
        return (_a = reference === null || reference === void 0 ? void 0 : reference.element) === null || _a === void 0 ? void 0 : _a.$refNode;
    }
}
exports.SqlNameProvider = SqlNameProvider;
//# sourceMappingURL=sql-name-provider.js.map