"use strict";
/******************************************************************************
 * Copyright 2022-2023 TypeFox GmbH
 * This program and the accompanying materials are made available under the
 * terms of the MIT License, which is available in the project root.
 ******************************************************************************/
Object.defineProperty(exports, "__esModule", { value: true });
exports.SqlSemanticTokenProvider = void 0;
const tslib_1 = require("tslib");
const langium_1 = require("langium");
const ast = tslib_1.__importStar(require("./generated/ast"));
const vscode_languageserver_1 = require("vscode-languageserver");
class SqlSemanticTokenProvider extends langium_1.AbstractSemanticTokenProvider {
    highlightElement(node, acceptor) {
        if (ast.isDataType(node)) {
            acceptor({
                node,
                property: 'dataTypeNames',
                type: vscode_languageserver_1.SemanticTokenTypes.type
            });
        }
        else if (ast.isStringLiteral(node)) {
            acceptor({
                node,
                property: 'value',
                type: vscode_languageserver_1.SemanticTokenTypes.string
            });
        }
        else if (ast.isNumberLiteral(node)) {
            acceptor({
                node,
                property: 'value',
                type: vscode_languageserver_1.SemanticTokenTypes.number
            });
        }
    }
}
exports.SqlSemanticTokenProvider = SqlSemanticTokenProvider;
//# sourceMappingURL=sql-semantic-token-provider.js.map