/******************************************************************************
 * Copyright 2022-2023 TypeFox GmbH
 * This program and the accompanying materials are made available under the
 * terms of the MIT License, which is available in the project root.
 ******************************************************************************/
import { TypeDescriptor, TypeDescriptorDiscriminator } from "./sql-type-descriptors";
import { Value } from "./sql-type-values";
export type TypeConversionKind = 'implicit' | 'explicit';
type TypeConvertFunction = (value: Value) => Value;
export interface TypeConverter {
    kind: TypeConversionKind;
    convert: TypeConvertFunction;
}
export type TypeConversionPair = `${TypeDescriptorDiscriminator}->${TypeDescriptorDiscriminator}`;
export declare function getConvertFunction(source: TypeDescriptor, target: TypeDescriptor, kind: TypeConversionKind): TypeConvertFunction | null;
export declare function canConvert(source: TypeDescriptor, target: TypeDescriptor, kind?: TypeConversionKind): boolean;
export {};
