/******************************************************************************
 * Copyright 2022-2023 TypeFox GmbH
 * This program and the accompanying materials are made available under the
 * terms of the MIT License, which is available in the project root.
 ******************************************************************************/
import { BinaryExpression, NegatableExpression, UnaryExpression } from "./generated/ast";
import { TypeDescriptor } from "./sql-type-descriptors";
export type UnaryOperator = UnaryExpression["operator"];
export type BinaryOperator = BinaryExpression["operator"] | NegatableExpression['operator'];
export interface UnaryOperatorDescriptor {
    operandType: TypeDescriptor;
    returnType: TypeDescriptor;
}
export type UnaryOperatorTable = Record<UnaryOperator, UnaryOperatorDescriptor[]>;
export declare const UnaryOperators: UnaryOperatorTable;
export interface BinaryOperatorDescriptor {
    left: TypeDescriptor;
    right: TypeDescriptor;
    returnType: TypeDescriptor;
}
export type BinaryOperatorTable = Record<BinaryOperator, BinaryOperatorDescriptor[]>;
export declare const BinaryOperators: BinaryOperatorTable;
