/******************************************************************************
 * Copyright 2022-2023 TypeFox GmbH
 * This program and the accompanying materials are made available under the
 * terms of the MIT License, which is available in the project root.
 ******************************************************************************/
import { AstNode } from "langium";
import * as AST from "./generated/ast";
export interface ColumnDescriptor {
    name?: string;
    node: AstNode;
    typedNode: AstNode;
    isScopedByVariable: boolean;
}
export declare function getFromGlobalReference<T extends AST.Definition>(reference: AST.GlobalReference | undefined, is: (definition: AST.Definition) => definition is T): T | undefined;
export declare function getDefinitionType(element: AST.Definition): DefinitionType;
export declare function getDefinitionTypeName(element: AST.Definition): string;
export declare enum DefinitionType {
    Catalog = 0,
    Schema = 1,
    Table = 2
}
export declare function getColumnsForSelectTableExpression(selectTableExpression: AST.SelectTableExpression | undefined, onlyAliases?: boolean): ColumnDescriptor[];
export declare function getColumnCandidatesForSelectTableExpression(selectTableExpression?: AST.SelectTableExpression): ColumnDescriptor[];
export declare function getColumnCandidatesForSimpleSelectStatement(selectStatement?: AST.SimpleSelectStatement): ColumnDescriptor[];
