"use strict";
/******************************************************************************
 * Copyright 2022-2023 TypeFox GmbH
 * This program and the accompanying materials are made available under the
 * terms of the MIT License, which is available in the project root.
 ******************************************************************************/
Object.defineProperty(exports, "__esModule", { value: true });
exports.SqlValueConverter = void 0;
const langium_1 = require("langium");
class SqlValueConverter extends langium_1.DefaultValueConverter {
    runConverter(rule, input, cstNode) {
        if (rule.name.toUpperCase() === 'TICK_STRING' || rule.name.toUpperCase() === 'STRING') {
            return input.substring(1, input.length - 1).replace(/\\(.)/g, '$1');
        }
        return super.runConverter(rule, input, cstNode);
    }
}
exports.SqlValueConverter = SqlValueConverter;
//# sourceMappingURL=sql-value-converter.js.map