"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.SqlWorkspaceManager = void 0;
/******************************************************************************
 * Copyright 2022-2023 TypeFox GmbH
 * This program and the accompanying materials are made available under the
 * terms of the MIT License, which is available in the project root.
 ******************************************************************************/
const langium_1 = require("langium");
const vscode_uri_1 = require("vscode-uri");
class SqlWorkspaceManager extends langium_1.DefaultWorkspaceManager {
    constructor(services) {
        super(services);
        this.initializationFiles = [];
        this.factory = services.workspace.LangiumDocumentFactory;
        services.lsp.LanguageServer.onInitialize(params => {
            var _a;
            const files = (_a = params.initializationOptions) === null || _a === void 0 ? void 0 : _a.files;
            if (Array.isArray(files)) {
                this.initializationFiles.push(...files);
            }
        });
    }
    async loadAdditionalDocuments(_folders, collector) {
        for (let i = 0; i < this.initializationFiles.length; i++) {
            const file = this.initializationFiles[i];
            const uri = vscode_uri_1.URI.parse(`inmemory:///builtin_${i}.sql`);
            const document = this.factory.fromString(file, uri);
            collector(document);
        }
    }
}
exports.SqlWorkspaceManager = SqlWorkspaceManager;
//# sourceMappingURL=sql-workspace-manager.js.map